Subject: PaceServiceError updated

From: Robert Sayre <[email-masked]>
Date: Wed, 25 Aug 2004 10:23:50 -0400

Previous discussions (pre-IETF) have shown that POST is
inappropriate[0] for PaceServiceError, and I'm the only one that
thinks GET is ok. PaceErrVerb proposes a new verb, but requires that
the request be sent to the requested URI.

I've updated PaceServiceError to use a new method: GRUMBLE. We can
change the name ;), I just didn't want to get it confused with
PaceErrVerb in discussion.

The URIs are all absolute now, per feedback from Bill de HÓra.

Once again, I'd like to note that participation is completely optional
for client and server. For example, a server may choose to include
"Atom-Error" headers only for authenticated clients.

I think it was Mark Baker who pointed out that new HTTP methods are
"mustUnderstand". That's exactly what this feature needs. A bogus
GRUMBLE request is no more dangerous than a bogus IMG @src.

Robert Sayre

[0] http://www.imc.org/atom-syntax/mail-archive/msg05568.html